{
  "name": "@itentialopensource/adapter-etsi_sol002",
  "version": "0.4.5",
  "description": "This adapter integrates with system described as: ETSI sol002",
  "main": "adapter.js",
  "wizardVersion": "2.44.7",
  "engineVersion": "1.68.2",
  "adapterType": "http",
  "scripts": {
    "artifactize": "npm i && node utils/packModificationScript.js",
    "preinstall": "node utils/setup.js",
    "deinstall": "node utils/removeHooks.js",
    "lint": "node --max_old_space_size=4096 ./node_modules/eslint/bin/eslint.js . --ext .json --ext .js",
    "lint:errors": "node --max_old_space_size=4096 ./node_modules/eslint/bin/eslint.js . --ext .json --ext .js --quiet",
    "test:baseunit": "mocha test/unit/adapterBaseTestUnit.js --LOG=error",
    "test:unit": "mocha test/unit/adapterTestUnit.js --LOG=error",
    "test:integration": "mocha test/integration/adapterTestIntegration.js --LOG=error",
    "adapter:patches2bundled": "node utils/patches2bundledDeps.js",
    "test": "npm run test:baseunit && npm run test:unit && npm run test:integration",
    "adapter:install": "npm i && node utils/tbScript.js install",
    "adapter:checkMigrate": "node utils/checkMigrate.js",
    "adapter:findPath": "node utils/findPath.js",
    "adapter:migrate": "node utils/modify.js -m",
    "adapter:update": "node utils/modify.js -u",
    "adapter:revert": "node utils/modify.js -r",
    "troubleshoot": "node utils/tbScript.js troubleshoot",
    "healthcheck": "node utils/tbScript.js healthcheck",
    "basicget": "node utils/tbScript.js basicget",
    "connectivity": "node utils/tbScript.js connectivity",
    "deploy": "npm publish --registry=https://registry.npmjs.org --access=public",
    "build": "npm run deploy"
  },
  "keywords": [
    "Itential",
    "IAP",
    "Automation",
    "Integration",
    "App-Artifacts",
    "Adapter",
    "Cloud",
    "ETSI",
    "sol002",
    "Pre-Release"
  ],
  "license": "Apache-2.0",
  "engines": {
    "node": ">= 14.0.0",
    "npm": ">= 6.0.0"
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:itentialopensource/adapters/adapter-etsi_sol002.git"
  },
  "author": "Itential",
  "homepage": "https://gitlab.com/itentialopensource/adapters/adapter-etsi_sol002#readme",
  "dependencies": {
    "@itentialopensource/adapter-utils": "^5.10.1",
    "acorn": "^8.14.0",
    "ajv": "^8.17.1",
    "axios": "^1.7.9",
    "commander": "^11.0.0",
    "dns-lookup-promise": "^1.0.4",
    "fs-extra": "^11.2.0",
    "json-query": "^2.2.2",
    "mocha": "^10.8.2",
    "mocha-param": "^2.0.1",
    "mongodb": "^4.17.2",
    "ping": "^0.4.4",
    "prompts": "^2.4.2",
    "readline-sync": "^1.4.10",
    "semver": "^7.6.3",
    "winston": "^3.17.0"
  },
  "devDependencies": {
    "chai": "^4.3.7",
    "eslint": "^8.44.0",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-json": "^3.1.0",
    "testdouble": "^3.18.0"
  },
  "private": false
}
